Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
I need an installation with Postgres support, and was happy to find in  
my phpinfo that there was a
option in the config line.

but I still got "call to undefined function: pgsql_connect (4.3.11)

So I figured whatev, I'll put a new installation (PHP5, in fact), but I  
always fail config with:
Cannot find libpq-fe.h. Please specify correct Postgresql installation path

'course i looked in my handy old webmin to see where Postgres might  
be... tried various paths I found in various places
obviously not a lib, but getting desparate...

Re: --with-pgsql=WHERE?

matthew.crouch@spamlessverizon.net wrote:
Quoted text here. Click to load it

Did phpinfo show the module information ("PostgreSQL Support")?
If not, and PHP was built with pgsql shared, you probably have the module but it
isn't loaded. You would load it either from php.ini (extension=pgsql.so)
or from a script with dl().

And the function is called pg_connect(), not pgsql_connect().

Site Timeline